Bug 213901 - 2.6.18-1.2798.fc6 kernel crashes when copying files over NFS
2.6.18-1.2798.fc6 kernel crashes when copying files over NFS
Status: CLOSED DUPLICATE of bug 213937
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-03 12:49 EST by H.J. Lu
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 11:51:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2006-11-03 12:49:00 EST
When I was copying > 10GB directory from FC5 or FC6 NFS server, kernel
crashed:

Nov  2 18:11:01 gnu-4 kernel: general protection fault: 0000 [1] SMP 
Nov  2 18:11:01 gnu-4 kernel: last sysfs file: /class/drm/card0/dev
Nov  2 18:11:01 gnu-4 kernel: CPU 1 
Nov  2 18:11:01 gnu-4 kernel: Modules linked in: nfs lockd fscache nfs_acl i915
drm autofs4 hidp rfcomm l2cap bluetooth sunrpc cpufreq_ondemand dm_mirror
dm_multipath dm_mod video sbs i2c_ec button battery asus_acpi ac ipv6 parport_pc
lp parport snd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss sr_mod
snd_pcm cdrom intel_rng snd_timer snd sg soundcore e1000 ohci1394 snd_page_alloc
floppy ieee1394 shpchp serio_raw pcspkr i2c_i801 i2c_core usb_storage ahci
libata sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Nov  2 18:11:01 gnu-4 kernel: Pid: 1718, comm: kjournald Not tainted
2.6.18-1.2798.fc6 #1
Nov  2 18:11:01 gnu-4 kernel: RIP: 0010:[<ffffffff880357fe>] 
[<ffffffff880357fe>] :jbd:journal_commit_transaction+0x376/0x111c
Nov  2 18:11:01 gnu-4 kernel: RSP: 0018:ffff810126685dc0  EFLAGS: 00010282
Nov  2 18:11:01 gnu-4 kernel: RAX: 0000000000000000 RBX: ff182c48ff1e334d RCX:
000000000000011d
Nov  2 18:11:01 gnu-4 kernel: RDX: ffff810012452850 RSI: ffff81007eed1c80 RDI:
ffff810012a023d0
Nov  2 18:11:01 gnu-4 kernel: RBP: ffff81012b7a4400 R08: ffff810051669708 R09:
ffff81001d9a86d0
Nov  2 18:11:01 gnu-4 kernel: R10: ffff81012a91a400 R11: ffffffff8033954b R12:
ffff810012a02370
Nov  2 18:11:01 gnu-4 kernel: R13: ffff81007eed1c80 R14: 0000000000000001 R15:
ffff810126f2b000
Nov  2 18:11:01 gnu-4 kernel: FS:  0000000000000000(0000)
GS:ffff81012bcbe9c0(0000) knlGS:0000000000000000
Nov  2 18:11:01 gnu-4 kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
Nov  2 18:11:01 gnu-4 kernel: CR2: 00002aaaaaac6000 CR3: 000000011b4cf000 CR4:
00000000000006e0
Nov  2 18:11:01 gnu-4 kernel: Process kjournald (pid: 1718, threadinfo
ffff810126684000, task ffff81012932c7d0)
Nov  2 18:11:01 gnu-4 kernel: Stack:  ffff810126f2b000 ffff81012bcc3080
ffffffffffffffff 0000011d00000286
Nov  2 18:11:01 gnu-4 kernel:  ffff81012b7a4650 ffffffff80262784
ffff81012bcdc000 ffffffff8023d88b
Nov  2 18:11:01 gnu-4 kernel:  0000000000000286 0000000000000286
ffff81012b7a4650 ffff8100263abbb0
Nov  2 18:11:01 gnu-4 kernel: Call Trace:
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff88039cf9>] :jbd:kjournald+0xc2/0x217
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff80232843>] kthread+0xf6/0x12a
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff8025cea5>] child_rip+0xa/0x11
Nov  2 18:11:01 gnu-4 kernel: DWARF2 unwinder stuck at child_rip+0xa/0x11
Nov  2 18:11:01 gnu-4 kernel: Leftover inexact backtrace:
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff8029b98a>] keventd_create_kthread+0x0/0x66
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff8023274d>] kthread+0x0/0x12a
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff8025ce9b>] child_rip+0x0/0x11
Nov  2 18:11:01 gnu-4 kernel:
Nov  2 18:11:01 gnu-4 kernel:
Nov  2 18:11:01 gnu-4 kernel: Code: f0 ff 43 58 8b 03 45 31 f6 a8 02 74 68 f0 0f
ba 2b 02 19 c0
Nov  2 18:11:01 gnu-4 kernel: RIP  [<ffffffff880357fe>]
:jbd:journal_commit_transaction+0x376/0x111c
Nov  2 18:11:01 gnu-4 kernel:  RSP <ffff810126685dc0>
Nov  2 18:11:01 gnu-4 kernel:  <0>BUG: spinlock cpu recursion on CPU#1, cp/3112
(Not tainted)
Nov  2 18:11:01 gnu-4 kernel:  lock: ffff81012b7a45f8, .magic: dead4ead, .owner:
kjournald/1718, .owner_cpu: 1
Nov  2 18:11:01 gnu-4 kernel:
Nov  2 18:11:01 gnu-4 kernel:
Nov  2 18:11:01 gnu-4 kernel: Call Trace:
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff8026929b>] show_trace+0x34/0x47
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff802692c0>] dump_stack+0x12/0x17
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff80207744>] _raw_spin_lock+0x5d/0xf3
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff88034bf3>]
:jbd:journal_dirty_data+0x61/0x213
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff880510bf>]
:ext3:ext3_journal_dirty_data+0xf/0x34
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff880504fc>]
:ext3:walk_page_buffers+0x65/0x8b
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff88052fa4>]
:ext3:ext3_ordered_commit_write+0x5f/0xc6
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff8020fd57>]
generic_file_buffered_write+0x4b8/0x6c5
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff80215eae>]
__generic_file_aio_write_nolock+0x2e2/0x32b
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff80221569>] generic_file_aio_write+0x65/0xc1
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff8804f1de>] :ext3:ext3_file_write+0x16/0x91
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff80217931>] do_sync_write+0xc7/0x104
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff802162b6>] vfs_write+0xce/0x174
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff80216b26>] sys_write+0x45/0x6e
Nov  2 18:11:01 gnu-4 kernel:  [<ffffffff8025c00e>] system_call+0x7e/0x83
Nov  2 18:11:01 gnu-4 kernel: DWARF2 unwinder stuck at system_call+0x7e/0x83
Nov  2 18:11:01 gnu-4 kernel: Leftover inexact backtrace:
Nov  2 18:11:11 gnu-4 kernel: BUG: soft lockup detected on CPU#1!
Nov  2 18:11:11 gnu-4 kernel:
Nov  2 18:11:11 gnu-4 kernel: Call Trace:
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff8026929b>] show_trace+0x34/0x47
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff802692c0>] dump_stack+0x12/0x17
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff802b4900>] softlockup_tick+0xdb/0xf6
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff80293837>] update_process_times+0x42/0x68
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff80273e48>]
smp_local_timer_interrupt+0x23/0x47
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff80274504>]
smp_apic_timer_interrupt+0x41/0x47
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff8025cb82>] apic_timer_interrupt+0x66/0x6c
Nov  2 18:11:11 gnu-4 kernel: DWARF2 unwinder stuck at
apic_timer_interrupt+0x66/0x6c
Nov  2 18:11:11 gnu-4 kernel: Leftover inexact backtrace:
Nov  2 18:11:11 gnu-4 kernel:  <IRQ>  <EOI>  [<ffffffff8020776b>]
_raw_spin_lock+0x84/0xf3
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff80207744>] _raw_spin_lock+0x5d/0xf3
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff88034bf3>]
:jbd:journal_dirty_data+0x61/0x213
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff880510bf>]
:ext3:ext3_journal_dirty_data+0xf/0x34
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff880504fc>]
:ext3:walk_page_buffers+0x65/0x8b
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff880510b0>]
:ext3:ext3_journal_dirty_data+0x0/0x34
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff88052fa4>]
:ext3:ext3_ordered_commit_write+0x5f/0xc6
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff8020fd57>]
generic_file_buffered_write+0x4b8/0x6c5
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff8020cdae>] file_read_actor+0xa7/0x145
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff8020c046>]
do_generic_mapping_read+0x3db/0x41d
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff8020df49>] current_fs_time+0x3b/0x40
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff80215eae>]
__generic_file_aio_write_nolock+0x2e2/0x32b
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff80221569>] generic_file_aio_write+0x65/0xc1
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff8804f1de>] :ext3:ext3_file_write+0x16/0x91
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff80217931>] do_sync_write+0xc7/0x104
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff8029bb3e>]
autoremove_wake_function+0x0/0x2e
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff8020c975>] do_sync_read+0x0/0x104
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff802162b6>] vfs_write+0xce/0x174
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff80216b26>] sys_write+0x45/0x6e
Nov  2 18:11:11 gnu-4 kernel:  [<ffffffff8025c00e>] system_call+0x7e/0x83
Comment 1 H.J. Lu 2006-11-07 11:51:34 EST

*** This bug has been marked as a duplicate of 213937 ***

Note You need to log in before you can comment on or make changes to this bug.